package com.ktg.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.system.domain.SysUploadFile;

import java.util.List;

/**
 * 文件Service接口
 *
 * @author cgj
 * @date 2024-10-22
 */
public interface ISysUploadFileService extends IService<SysUploadFile>
{
    /**
     * 查询文件
     *
     * @param id 文件主键
     * @return 文件
     */
    SysUploadFile selectSysUploadFileById(Long id);

    /**
     * 查询文件列表
     *
     * @param sysUploadFile 文件
     * @return 文件集合
     */
    List<SysUploadFile> selectSysUploadFileList(SysUploadFile sysUploadFile);

    /**
     * 新增文件
     *
     * @param sysUploadFile 文件
     * @return 结果
     */
    int insertSysUploadFile(SysUploadFile sysUploadFile);

    /**
     * 修改文件
     *
     * @param sysUploadFile 文件
     * @return 结果
     */
    int updateSysUploadFile(SysUploadFile sysUploadFile);

    /**
     * 批量删除文件
     *
     * @param ids 需要删除的文件主键集合
     * @return 结果
     */
    int deleteSysUploadFileByIds(String ids);

    /**
     * 删除文件信息
     *
     * @param id 文件主键
     * @return 结果
     */
    int deleteSysUploadFileById(Long id);

    /**
     * 根据文件地址删除文件
     * @return
     */
    Boolean delFile(String url);

    /**
     * 根据文件路径删除文件
     * @return
     */
    Boolean delFileByPath(String urlPath);


}
